Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class RunInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.RunInstancesResult

    public class RunInstancesResult

extends Object

The result of calling the RunInstancesResult, contains the new reservation created by Amazon EC2.

Constructor Summary
`RunInstancesResult()`

Method Summary
`Reservation` | `getReservation()` The newly created reservation, containing the new instances.
`void` | `setReservation(Reservation reservation)` The newly created reservation, containing the new instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RunInstancesResult` | `withReservation(Reservation reservation)` The newly created reservation, containing the new instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RunInstancesResult

    public RunInstancesResult()

Method Detail

### getReservation

    public Reservation getReservation()

  The newly created reservation, containing the new instances.

  Returns:
    The newly created reservation, containing the new instances.

### setReservation

    public void setReservation(Reservation reservation)

  The newly created reservation, containing the new instances.

  Parameters:
    `reservation` - The newly created reservation, containing the new instances.

### withReservation

    public RunInstancesResult withReservation(Reservation reservation)

  The newly created reservation, containing the new instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservation` - The newly created reservation, containing the new instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.